#!/bin/sh
# @Author: Jasper Zhu
# @Date:   2021-02-19
#
# Disable usb wakeup source when lid close

wakeup_stat=$(cat /proc/acpi/wakeup)
lid_stat=$(cat /proc/acpi/button/lid/LID*/state)

is_xhci_en=$(echo "${wakeup_stat}" | grep XHCI | grep disabled);
is_lid_close=$(echo "${lid_stat}" | grep open);

if  [ -z "$is_lid_close" ]; then
	if  [ -z "$is_xhci_en" ]; then
		echo disable wakeup of XHCI when lid close...
		echo XHCI | tee /proc/acpi/wakeup;
	fi
	# cat /proc/acpi/wakeup > /sys/log/ws_lidclose.txt
else
	if  [ -n "$is_xhci_en" ]; then
		echo re-enable wakeup of XHCI when lid open...
		echo XHCI | tee /proc/acpi/wakeup;
		rtcwake -m no -s 2
	fi
	# cat /proc/acpi/wakeup > /sys/log/ws_lidopen.txt
fi

